package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.powerdistribution.domain.PdmReportAppointmentDay;
import com.ruoyi.powerdistribution.domain.PdmReportIllegalDay;
import com.ruoyi.powerdistribution.domain.PdmReportPlanDay;
import com.ruoyi.powerdistribution.domain.PdmReportPlanNextDay;

import java.util.List;

/**
 * 日报VO
 */
public class ReportDayVO {

    /**
     * 履职统计
     */
    private List<PdmReportAppointmentDay> appointmentList;

    /**
     * 违章统计
     */
    private List<PdmReportIllegalDay> illegalList;

    /**
     * 工作计划统计
     */
    private List<PdmReportPlanDay> planList;

    /**
     * 明日工作计划统计
     */
    private List<PdmReportPlanNextDay> nextDayList;

    public List<PdmReportAppointmentDay> getAppointmentList() {
        return appointmentList;
    }

    public void setAppointmentList(List<PdmReportAppointmentDay> appointmentList) {
        this.appointmentList = appointmentList;
    }

    public List<PdmReportIllegalDay> getIllegalList() {
        return illegalList;
    }

    public void setIllegalList(List<PdmReportIllegalDay> illegalList) {
        this.illegalList = illegalList;
    }

    public List<PdmReportPlanDay> getPlanList() {
        return planList;
    }

    public void setPlanList(List<PdmReportPlanDay> planList) {
        this.planList = planList;
    }

    public List<PdmReportPlanNextDay> getNextDayList() {
        return nextDayList;
    }

    public void setNextDayList(List<PdmReportPlanNextDay> nextDayList) {
        this.nextDayList = nextDayList;
    }
}
